//
//	SysTick methods.
//
//	Copyright 2014 Mark Stevens
//
#include "stm32f4xx_rcc.h"
#include "stm32f4xx_gpio.h"
#include "system_stm32f4xx.h"

//
//	Initialise SysTick.
//
void InitialiseSysTick()
{
	RCC_ClocksTypeDef RCC_Clocks;
	//
	//	Setup the system tick for the heartbeat.
	//
	RCC_GetClocksFreq(&RCC_Clocks);
	SysTick_Config(RCC_Clocks.HCLK_Frequency / 1000);
}

//
//	System tick handler.
//
void SysTick_Handler(void)
{
	//
	//	Generate a heartbeat.
	//
	GPIOE->ODR ^= GPIO_Pin_5;
}
