//
//	LED Panel - Main program and associated methods.
//
//	Copyright 2014 Mark Stevens
//
#include "SPI.h"
#include "GPIO.h"
#include "SysTick.h"
#include <stm32f4xx_gpio.h>

//
//	Initialise the system.
//
void Initialise()
{
	InitialiseGPIO();
	InitialiseSPI();
	InitialiseSysTick();
}

//
//	Main program loop.
//
int main()
{
	Initialise();
    while (1)
    {
		GPIOE->BSRRH |= GPIO_Pin_6;		// Set PE6 (Chip Select) low
		SPISend(0xAA);  				// Transmit data
		SPISend(0x00); 					// Transmit dummy byte and receive data
		GPIOE->BSRRL |= GPIO_Pin_6; 	// set PE6 (Chip Select) high
    }
}
